#include <Wire.h>

byte led_state;

void setup() {
  Wire.begin();                       // initialize master
}

void loop() {
  led_state = 1;         
  sendDataWire();                 // send the data over I2C
  delay(500);
  led_state = 0;         
  sendDataWire();  
  delay(500);
}

void sendDataWire() {
  Wire.beginTransmission(0x55);     // prepare transmission to slave with address 0x54
  Wire.write(led_state);           // Write the received data to the bus buffer
  //Wire.write("\r\n");               // add new line and carriage return for the Serial monitor
  Wire.endTransmission();           // finish transmission
}
